﻿using System;
using System.Windows;

namespace XDMContentPaneCloseEvents
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private long ClosedUnixTimeMillis = 0;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void ContentPane_Closing(object sender, Infragistics.Windows.DockManager.Events.PaneClosingEventArgs e)
        {
            Console.WriteLine("Closing: ");
            //Or set the close button click timing here
            //this.ClosedUnixTimeMillis = DateTimeOffset.Now.ToUnixTimeMilliseconds();
            Console.WriteLine(DateTimeOffset.Now.ToUnixTimeMilliseconds());
        }

        private void ContentPane_Closed(object sender, Infragistics.Windows.DockManager.Events.PaneClosedEventArgs e)
        {
            Console.WriteLine("Closed: ");
            Console.WriteLine(DateTimeOffset.Now.ToUnixTimeMilliseconds());
        }

        private void ContentPane_ExecutingCommand(object sender, Infragistics.Windows.Controls.Events.ExecutingCommandEventArgs e)
        {
            Console.WriteLine("Executing Command: ");
            if(e.Command.Name.Equals("Close"))
            {
                this.ClosedUnixTimeMillis = DateTimeOffset.Now.ToUnixTimeMilliseconds();
            }
            Console.WriteLine(e.Command.Name);
            Console.WriteLine(DateTimeOffset.Now.ToUnixTimeMilliseconds());
        }

        private void ContentPane_ExecutedCommand(object sender, Infragistics.Windows.Controls.Events.ExecutedCommandEventArgs e)
        {
            Console.WriteLine("Executed Command: ");
            Console.WriteLine(e.Command.Name);
            Console.WriteLine(DateTimeOffset.Now.ToUnixTimeMilliseconds());
        }
    }
}
